Loading...
Searching...
No Matches
python.cpp File Reference
`#include "gridfire/io/generative/python.h"`
`#include "fourdst/atomic/atomicSpecies.h"`
`#include <string>`
`#include <vector>`
`#include <format>`
`#include <fstream>`
`#include <optional>`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/engine/scratchpads/blob.h"`
Include dependency graph for python.cpp:

## Namespaces

namespace | gridfire
namespace | gridfire::io
namespace | gridfire::io::gen
| Namespace for generative input/output functionalities.

## Functions

PyFunctionDef | gridfire::io::gen::exportReactionToPy (const reaction::Reaction &reaction)
| Exports a reaction to a Python function definition.
std::string | gridfire::io::gen::exportEngineToPy (engine::scratch::StateBlob &ctx, const engine::DynamicEngine &engine)
void | gridfire::io::gen::exportEngineToPy (engine::scratch::StateBlob &ctx, const engine::DynamicEngine &engine, const std::string &fileName)
| Exports a dynamic engine to a Python file.